
  @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');



:root {
  --clr-dark: #212529;
  --clr-light-grey: #e4e5e6;
  --clr-grey: #9b9d9e;
  --clr-dark-grey: #595959;
  --clr-blue: #3e8acc;
  --clr-light-yellow: #fff3cd;
  --clr-light-green: #d4edda;
  --clr-dark-green: #186429;
  --clr-dark-red: #842029;
  --clr-light-pink: #f8d7da;
}

body {
  margin: 0;
	padding: 0;
	background: var(--clr-light-grey);
	font-family: 'Poppins', sans-serif;
	
}
p, h1, h2, h3, h4 { 
  padding: 0;
  margin: 0;
}
li {
  list-style: none;
}
.button {
  cursor: pointer;
  border: none;
  border-radius: 2px;
  padding: 8px 16px;
  font-size: 18px;
  font-family: 'Poppins', sans-serif;
}

/*Footer*/
 .footer {
  min-height: 50px;
  background-color: var(--clr-dark);
  color: var(--clr-grey);
  padding: 8px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
 }
 
section {
  margin: 12px;
}
option {
  padding: 12px 4px;
}
/*Header*/

.header-container {
  background-color: var(--clr-dark);
  color: var(--clr-light-grey);
  display: flex;
  justify-content: space-between;
  gap: 12px;
  padding: 0 24px;
}
.logo {
  color: #e4e5e6;
  font-size: 24px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  
}
.topNav {
  display: flex;
}
.navbar {
  padding: 24px;
}
.navItem {
width: 150px;
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
position: relative;
}
.navLngLink {
  text-decoration: none;
  color: var(--clr-grey);
  margin-right: 12px;
  background-color: #212529;
  border: none;
}

 option {
 padding: 12px;
 color: var(--clr-grey);
}
.lngBtn {
  position: absolute;
  border: none;
color: var(--clr-grey);
background-color: transparent;
cursor: pointer;
font-size: 16px;
}
.switcher {
  text-decoration: none;
  color: var(--clr-grey);
  margin-right: 12px;
  background-color: #212529;
  border: none;
 position: absolute;
 top: 3rem;
 left: 2rem;
 
  box-shadow: 0 10px 15px -3px rgba(46, 41, 51, 0.08),
    0 4px 6px -2px rgba(71, 63, 79, 0.16);
  font-size: 0.875rem;
  z-index: 9999;
  min-width: 8rem;
  padding: 0.5rem 0;
  background-color: var(--clr-dark);
  
}
.switch-link {
  position: absolute;
  left: auto;
}
/*new lng*/
.lngSwitcherItem {
  position: relative;
 
}
.lngSwitcherBtn {
  background-color: transparent;
  border: none;
  cursor: pointer;
  color: var(--clr-grey);
  font-size: 16px;
  padding: 8px 4px;
}
.lngSwitcherBtn:hover {
  color: var(--clr-light-grey);
}


/*new nav*/
.nav-area {
  display: flex;
  align-items: center;
  max-width: 1200px;
  margin: 0 auto;
  padding: 10px 20px;
}



.menus {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  list-style: none;
 
}

.menu-items {
  position: relative;
  font-size: 16px;
  color: var(--clr-grey)
}

.menu-items a {
  display: block;
  font-size: inherit;
  text-align: left;
  padding: 0.7rem 1rem;
  font-size: 16px;
  text-decoration: none;
  color: var(--clr-grey);
  margin-bottom: 4px;
}
.menu-items > .menu-items-link {
  margin-bottom: 0;
}

.menu-items-button {
  display: flex;
  align-items: center;
  color: inherit;
  text-align: left;
  padding: 0.7rem 1rem;
  font-size: 16px;
  border: none;
  background-color: transparent;
  cursor: pointer;
  width: 100%;
  font-family: 'Poppins', sans-serif;

}

.menu-items-button span {
  margin-left: 3px;
}
.menu-icon {
  margin-left: 4px;
}


.menu-items a:hover,
.menu-items button:hover {
  color: var(--clr-light-grey);
}

.arrow::after {
  content: "";
  display: inline-block;
  margin-left: 0.28em;
  vertical-align: 0.09em;
  border-top: 0.42em solid;
  border-right: 0.32em solid transparent;
  border-left: 0.32em solid transparent;
}

.dropdown {
  position: absolute;
  
  left: auto;
  box-shadow: 0 10px 15px -3px rgba(46, 41, 51, 0.08),
    0 4px 6px -2px rgba(71, 63, 79, 0.16);
  font-size: 0.875rem;
  z-index: 9999;
  min-width: 10rem;
  padding: 0.5rem 0;
  list-style: none;
  background-color: var(--clr-dark);
  display: none;
}

.dropdown.show {
  display: block;
}

.dropdown .dropdown-submenu {
  position: absolute;
  left: 100%;
  top: -7px;
}



.switcher {
  display: flex;
  flex-direction: column;
}

.hamburger {
  cursor: pointer;
  color: var(--clr-grey);
  border: 1px solid var(--clr-grey);
  background-color: transparent;
  border-radius: 2px;
  font-size: 16px;

  padding: 8px 12px;
  margin: auto 12px;
  display: none;
}
.hamburger:hover {
  color: var(--clr-light-grey);
}

.topnav-icon {
  padding-right: 4px;
}


/*Register and forms*/
.registerPage, .passwordPage, .settingsPage, .activationPage {
  
  background-color: #ffffff;
}

.form-container {
  width: 60%;
  margin: 0 auto;
  padding: 24px 0;
}
.form-title {
  font-size: 36px;
  font-weight: 400;
  margin: 0;
}
.form-field {
  display: flex;
  flex-direction: column;
  margin: 12px 0;
}

.form-label{
  font-weight: 400;
}
.form-input {
  margin: 12px 0;
  padding: 12px 8px;
  border: 1px solid var(--clr-grey);
}

.form-btn {
  background-color: var(--clr-blue);
  color: var(--clr-dark-grey);
}
.form-btn:hover, .form-btn:active {
  color: var(--clr-dark);
}

.pass-strength-list {
  display: flex;
  gap: 4px;
}
.pass-strength-item {
  width: 10px;
  height: 6px;
  background-color: var(--clr-light-grey);
  padding-left: 24px;
  border-radius: 4px;
}

.text-danger {
  color: red;
}
.input-danger {
  border-left: 3px solid red;
}

/*Home*/
.homePage {
  min-height: 60vh;

  background-color: #ffffff;
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  padding: 12px;
}
.hero-img {

  width: 25%;
  background-image: url('./images/family_member_0.svg');
  background-repeat: no-repeat;
  background-position: center top;
  background-size: contain;
}
.homeTitle {
  font-size: 48px;
  font-weight: 400;
}
.homeSubtitle {
  font-size: 20px;
  font-weight: 400;
}
.homeMessages {
 font-weight: 200;
 font-size: 14px;
}
.homeQuestions {
  margin-top: 18px;
}
.logo {
  font-size: 18px;
}
.logo-info {
  margin-left: 4px;
}

.yellowMsg {
  background-color: var(--clr-light-yellow);
  padding: 24px;
  margin: 24px 0;
}
.greenMsg {
  background-color: var(--clr-light-green);
  padding: 24px;
  margin: 24px 0;
  color: var(--clr-dark-green);
}
.link {
  cursor: pointer;
  font-weight: bold;
  color: var(--clr-dark);
}
.redMsg {
  background-color: var(--clr-light-pink);
  padding: 24px;
  margin: 24px 0;
  color: var(--clr-dark-red);
}
